Name: perl-Set-Object
Version: 1.26
Release: 11%{?dist}
License: GPL+ or Artistic
Summary: Set of objects and strings
Group: Development/Libraries
URL: http://search.cpan.org/dist/Set-Object/
Source0: http://www.cpan.org/modules/by-module/Set/Set-Object-%{version}.tar.gz
Source1: license.txt
Patch0: perl-Set-Object-fix-assert.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) perl(Test::Pod) perl(Test::Pod::Coverage)
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This modules implements a set of objects, that is, an unordered
collection of objects without duplication.

The term *objects* is applied loosely - for the sake of Set::Object,
anything that is a reference is considered an object.

%prep
%setup -q -n Set-Object-%{version}
%patch0 -p1
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}

# clean up buildroot
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Changes.pod META.yml README license.txt
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Set*
%{_mandir}/man3/*.3*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.26-10
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.26-8
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.26-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.26-6
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.26-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 9 2008 - Gerd Hoffmann <kraxel@redhat.com> - 1.26-3
- add test suite support.
- simplify files section.
- pick up some bits from cpanspec-generated specfile.

* Thu Nov 27 2008 - Gerd Hoffmann <kraxel@redhat.com> - 1.26-2
- include text file documenting the relicensing.

* Tue Nov 11 2008 - Gerd Hoffmann <kraxel@redhat.com> - 1.26-1
- update to version 1.26

* Tue Nov 11 2008 - Gerd Hoffmann <kraxel@redhat.com> - 1.25-3
- update license tag.

* Wed Oct 15 2008 - Gerd Hoffmann <kraxel@redhat.com> - 1.25-2
- add dist tag to release.
- fix rpmlint errors and warnings.

* Wed Aug 13 2008 - Patrick Steiner <patrick.steiner@a1.net> - 1.25-1
- update to 1.25

* Wed Aug 13 2008 - Patrick Steiner <patrick.steiner@a1.net> - 1.22-2
- Upadted to Fedora 9

* Sun Nov 18 2007 Dag Wieers <dag@wieers.com> - 1.22-1
- Updated to release 1.22.

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 1.18-1
- Updated to release 1.18.

* Sat Nov  5 2005 Dries Verachtert <dries@ulyssis.org> - 1.14-1
- Updated to release 1.14.

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 1.10-1
- Initial package.
